<nav class="navbar navbar-expand-lg navbar-transparent  navbar-absolute fixed-top">
    <div class="container-fluid">
        <div class="navbar-wrapper">
            <a class="navbar-brand" href="javascript:void(0)">{{getTitle()}}</a>
        </div>
        <button mat-raised-button class="navbar-toggler" type="button" (click)="sidebarToggle()">
            <span class="sr-only">Toggle navigation</span>
            <span class="navbar-toggler-icon icon-bar"></span>
            <span class="navbar-toggler-icon icon-bar"></span>
            <span class="navbar-toggler-icon icon-bar"></span>
        </button>
        <div class="collapse navbar-collapse justify-content-end" id="navigation"
            *ngIf="securityService.kc.authenticated">
            <form class="navbar-form">
                <div class="input-group no-border">
                    <input type="text" value="" class="form-control" placeholder="Search...">
                    <button mat-raised-button type="submit" class="btn btn-white btn-round btn-just-icon">
                        <i class="material-icons">search</i>
                        <div class="ripple-container"></div>
                    </button>
                </div>
            </form>
            <ul class="navbar-nav" *ngIf="securityService.kc.authenticated">
                <li class="nav-item dropdown">
                    <a class="nav-link" href="javascript:void(0)" id="navbarDropdownMenuLink" data-toggle="dropdown"
                        aria-haspopup="true" aria-expanded="false">
                        <i class="material-icons">notifications</i>
                        <span *ngIf="msg.length > 0" class="notification">{{msg.length}}</span>
                        <!-- <p>
                            <span class="d-lg-none d-md-block">Some Actions</span>
                        </p> -->
                    </a>
                    <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdownMenuLink">
                        <span *ngIf="msg">
                        <a *ngFor="let m of msg" class="dropdown-item">{{m}}</a>
                        </span>
                    </div>
                </li>
                <li class="nav-item">
                    <a class="clickable nav-link" (click)="onEditAccount()">
                        <i class="material-icons">person</i>
                        <p>
                            <span class="d-lg-none d-md-block">account</span>
                        </p>
                    </a>
                </li>
                <li class="nav-item">
                    <a class="clickable nav-link" (click)="onLogout()">
                        <i class="material-icons">exit_to_app</i>
                        <p>
                            <span class="d-lg-none d-md-block">logout</span>
                        </p>
                    </a>
                </li>
            </ul>
        </div>
        <div class="collapse navbar-collapse justify-content-end" id="navigation"
            *ngIf="!securityService.kc.authenticated">
            <ul class="navbar-nav">
                <li class="nav-item">
                    <a class="clickable nav-link" (click)="onLogin()">
                        <i class="material-icons">exit_to_app</i>
                        <p>
                            <span class="d-lg-none d-md-block">login</span>
                        </p>
                    </a>
                </li>
            </ul>
        </div>
    </div>
</nav>